| OpenZWave Library 1.6.0

Loading...
Searching...
No Matches
Classes | Namespaces | Macros | Enumerations | Functions
HttpClient.h File Reference
`#include <string>`
`#include <map>`
`#include <queue>`

Go to the source code of this file.

## Classes
class | OpenZWave::SimpleHTTPClient::TcpSocket
| a TCP Socket that can optionally be protected via SSL More...
class | OpenZWave::SimpleHTTPClient::POST
| This class is used for Posting data to a HTTP(s) server. More...
struct | OpenZWave::SimpleHTTPClient::Request
| Main class for making a HTTP request to a HTTP(s) server. More...
class | OpenZWave::SimpleHTTPClient::HttpSocket
| a Socket that speaks HTTP protocol. More...
class | OpenZWave::SimpleHTTPClient::SocketSet
| Support Multiple TCP Socket connections. More...
struct | OpenZWave::SimpleHTTPClient::SocketSet::SocketSetData

## Namespaces
namespace | OpenZWave
namespace | OpenZWave::SimpleHTTPClient

## Macros
#define | MINIHTTP_SUPPORT_HTTP
#define | MINIHTTP_SUPPORT_SOCKET_SET

## Enumerations
enum | OpenZWave::SimpleHTTPClient::SSLResult { OpenZWave::SimpleHTTPClient::SSLR_OK = 0x0 , OpenZWave::SimpleHTTPClient::SSLR_NO_SSL = 0x1 , OpenZWave::SimpleHTTPClient::SSLR_FAIL = 0x2 , OpenZWave::SimpleHTTPClient::SSLR_CERT_EXPIRED = 0x4 , OpenZWave::SimpleHTTPClient::SSLR_CERT_REVOKED = 0x8 , OpenZWave::SimpleHTTPClient::SSLR_CERT_CN_MISMATCH = 0x10 , OpenZWave::SimpleHTTPClient::SSLR_CERT_NOT_TRUSTED = 0x20 , OpenZWave::SimpleHTTPClient::SSLR_CERT_MISSING = 0x40 , OpenZWave::SimpleHTTPClient::SSLR_CERT_SKIP_VERIFY = 0x80 , OpenZWave::SimpleHTTPClient::SSLR_CERT_FUTURE = 0x100 , OpenZWave::SimpleHTTPClient::_SSLR_FORCE32BIT = 0x7fffffff }
| Result Codes for SSL operations. More...
enum | OpenZWave::SimpleHTTPClient::HttpCode { OpenZWave::SimpleHTTPClient::HTTP_OK = 200 , OpenZWave::SimpleHTTPClient::HTTP_NOTFOUND = 404 }

## Functions
bool | OpenZWave::SimpleHTTPClient::InitNetwork ()
| Initialize the Network for HTTP requests.
void | OpenZWave::SimpleHTTPClient::StopNetwork ()
| Stop the Network for HTTP requests.
bool | OpenZWave::SimpleHTTPClient::HasSSL ()
| Indicates if we support HTTPS requests.
bool | OpenZWave::SimpleHTTPClient::SplitURI (const std::string &uri, std::string &host, std::string &file, int &port)
| Split a URL into its different parts/ports etc.
void | OpenZWave::SimpleHTTPClient::URLEncode (const std::string &s, std::string &enc)
| Encode a String suitable for sending as a URL request (eg Get)

## Macro Definition Documentation

## ◆ MINIHTTP_SUPPORT_HTTP

#define MINIHTTP_SUPPORT_HTTP

## ◆ MINIHTTP_SUPPORT_SOCKET_SET

#define MINIHTTP_SUPPORT_SOCKET_SET